Qyra
ReferenceProjects

List charts as code

Get charts in code representation

GET/api/v1/projects/{projectUuid}/code/charts

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
idsarray[string]No
offsetnumberNo
languageMapbooleanNo

Responses

200 — Success

{
  "results": {
    "offset": 0,
    "total": 0,
    "spaces": [
      {
        "access": {
          "groups": [
            {
              "role": "viewer",
              "name": "string"
            }
          ],
          "users": [
            {
              "role": "viewer",
              "email": "string"
            }
          ],
          "projectMemberAccessRole": {},
          "inheritParentPermissions": true
        },
        "slug": "string",
        "spaceName": "string",
        "version": 1,
        "contentType": "space"
      }
    ],
    "missingIds": [
      "string"
    ],
    "languageMap": [
      {
        "chart": {}
      }
    ],
    "charts": [
      {
        "name": "string",
        "description": "string",
        "tableName": "string",
        "pivotConfig": {
          "rows": [
            "string"
          ],
          "columns": [
            "string"
          ]
        },
        "merge": {
          "tableCalculations": [
            {
              "sql": "string",
              "displayName": "string",
              "name": "string"
            }
          ],
          "joinType": "full",
          "joinKey": [
            {
              "fieldIdBySourceId": {
                "property": "string"
              },
              "name": "string"
            }
          ],
          "sources": [
            {
              "kind": "chart",
              "id": "string"
            }
          ],
          "primarySourceId": "string"
        },
        "slug": "string",
        "parameters": {
          "property": "string"
        },
        "verification": {
          "verifiedAt": "2024-01-01T00:00:00.000Z",
          "verifiedBy": {
            "lastName": "string",
            "firstName": "string",
            "userUuid": "string"
          }
        },
        "verified": true,
        "downloadedAt": "2024-01-01T00:00:00.000Z",
        "spaceSlug": "string",
        "contentType": "chart",
        "version": 0,
        "dashboardSlug": "string",
        "tableConfig": {
          "columnOrder": [
            "string"
          ]
        },
        "updatedAt": "2024-01-01T00:00:00.000Z",
        "chartConfig": {
          "config": {
            "comparisonField": "string",
            "conditionalFormattings": [
              {
                "textStyle": {
                  "underline": true,
                  "italic": true,
                  "bold": true
                },
                "applyTo": "cell",
                "rules": [
                  {
                    "includeNull": true,
                    "values": [
                      0
                    ],
                    "operator": "isNull",
                    "id": "string"
                  }
                ],
                "darkColor": "string",
                "color": "string",
                "target": {
                  "fieldId": "string"
                }
              }
            ],
            "comparisonLabel": "string",
            "flipColors": true,
            "comparisonFormat": "raw",
            "showComparison": true,
            "showTableNamesInLabel": true,
            "showBigNumberLabel": true,
            "selectedField": "string",
            "style": "auto",
            "label": "string"
          },
          "type": "big_number"
        },
        "metricQuery": {
          "exploreName": "string",
          "dimensions": [
            "string"
          ],
          "metrics": [
            "string"
          ],
          "sorts": [
            {
              "pivotValues": [
                {
                  "value": "string",
                  "reference": "string"
                }
              ],
              "nullsFirst": true,
              "descending": true,
              "fieldId": "string"
            }
          ],
          "limit": 0,
          "tableCalculations": [
            {
              "totalMode": "formula",
              "type": "number",
              "format": {
                "type": "default",
                "round": 0,
                "separator": "default",
                "currency": "string",
                "compact": "auto",
                "prefix": "string",
                "suffix": "string",
                "timeInterval": "RAW",
                "custom": "string"
              },
              "displayName": "string",
              "name": "string",
              "index": 0,
              "sql": "string"
            }
          ],
          "additionalMetrics": [
            {
              "label": "string",
              "type": "percentile",
              "description": "string",
              "sql": "string",
              "hidden": true,
              "round": 0,
              "compact": "auto",
              "format": "km",
              "separator": "default",
              "table": "string",
              "name": "string",
              "index": 0,
              "filters": [
                {
                  "includeNull": true,
                  "values": [
                    "string"
                  ],
                  "operator": "isNull",
                  "id": "string",
                  "target": {
                    "fieldRef": "string"
                  },
                  "settings": "string",
                  "disabled": true,
                  "required": true,
                  "caseSensitive": true
                }
              ],
              "baseDimensionName": "string",
              "baseMetricName": "string",
              "uuid": "string",
              "percentile": 0,
              "distinctKeys": [
                "string"
              ],
              "formatOptions": {
                "type": "default",
                "round": 0,
                "separator": "default",
                "currency": "string",
                "compact": "auto",
                "prefix": "string",
                "suffix": "string",
                "timeInterval": "RAW",
                "custom": "string"
              },
              "generationType": "periodOverPeriod",
              "baseMetricId": "string",
              "timeDimensionId": "string",
              "granularity": "RAW",
              "periodOffset": 0
            }
          ],
          "customDimensions": [
            {
              "id": "string",
              "name": "string",
              "table": "string",
              "type": "bin",
              "dimensionId": "string",
              "binType": "fixed_number",
              "binNumber": 0
            }
          ],
          "metricOverrides": {
            "property": {
              "formatOptions": {
                "type": "default",
                "round": 0,
                "separator": "default",
                "currency": "string",
                "compact": "auto",
                "prefix": "string",
                "suffix": "string",
                "timeInterval": "RAW",
                "custom": "string"
              }
            }
          },
          "dimensionOverrides": {
            "property": {
              "formatOptions": {
                "type": "default",
                "round": 0,
                "separator": "default",
                "currency": "string",
                "compact": "auto",
                "prefix": "string",
                "suffix": "string",
                "timeInterval": "RAW",
                "custom": "string"
              }
            }
          },
          "timezone": "string",
          "pivotDimensions": [
            "string"
          ],
          "metadata": {
            "hasADateDimension": {}
          },
          "filters": {
            "tableCalculations": {
              "or": [
                {}
              ],
              "id": "string"
            },
            "metrics": {
              "or": [
                {}
              ],
              "id": "string"
            },
            "dimensions": {
              "or": [
                {}
              ],
              "id": "string"
            }
          }
        }
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}